# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Class ExternalId.Rel

    java.lang.Object
      com.google.gdata.data.contacts.ExternalId.Rel

Enclosing class:
  ExternalId

    public static final class ExternalId.Rel

extends java.lang.Object

Id type.

Field Summary
`static java.lang.String` `ACCOUNT` Account external id.
`static java.lang.String` `CUSTOMER` Customer external id.
`static java.lang.String` `NETWORK` Network external id.
`static java.lang.String` `ORGANIZATION` Organization external id.

Constructor Summary
`ExternalId.Rel()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCOUNT

    public static final java.lang.String ACCOUNT

  Account external id.

  See Also:
    Constant Field Values

### CUSTOMER

    public static final java.lang.String CUSTOMER

  Customer external id.

  See Also:
    Constant Field Values

### NETWORK

    public static final java.lang.String NETWORK

  Network external id.

  See Also:
    Constant Field Values

### ORGANIZATION

    public static final java.lang.String ORGANIZATION

  Organization external id.

  See Also:
    Constant Field Values

Constructor Detail

### ExternalId.Rel

    public ExternalId.Rel()